"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const writeJSON_1 = require("./writeJSON");
const mkdirs_1 = require("./mkdirs");
/**
 * Writes a json file to disk, creating all directories needed to meet the filepath provided.
 * @function outputJson
 * @memberof fsn/nextra
 * @param file The path to the file you want to create
 * @param data The data to write to file
 * @param options The write options or the encoding string.
 * @param atomic If the operation should be done atomically
 */
/**
 * Writes a json file to disk, creating all directories needed to meet the filepath provided.
 * @function outputJSON
 * @memberof fsn/nextra
 * @param file The path to the file you want to create
 * @param data The data to write to file
 * @param options The write options or the encoding string.
 * @param atomic If the operation should be done atomically
 */
async function outputJSON(file, data, options, atomic = false) {
    if (typeof options === 'boolean')
        [atomic, options] = [options, {}];
    await mkdirs_1.default(path_1.dirname(file));
    return writeJSON_1.default(file, data, options, atomic);
}
exports.default = outputJSON;
//# sourceMappingURL=outputJSON.js.map